# Class NextIsNullException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.jmeter.control.NextIsNullException

All Implemented Interfaces:
  `Serializable`

public class NextIsNullException extends Exception
Used by the Generic and Interleave controllers to signal the end of their samples

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NextIsNullException()`
`NextIsNullException(String message)`
`NextIsNullException(String message, Throwable cause)`
`NextIsNullException(Throwable cause)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NextIsNullException

public NextIsNullException()

### NextIsNullException

public NextIsNullException(String message, Throwable cause)

### NextIsNullException

public NextIsNullException(String message)

### NextIsNullException

public NextIsNullException(Throwable cause)